# Enum Class IllegalCharacterPolicy

java.lang.Object
java.lang.Enum<IllegalCharacterPolicy>
jebl.evolution.io.IllegalCharacterPolicy

All Implemented Interfaces:
  `Serializable, Comparable<IllegalCharacterPolicy>, Constable`

public enum IllegalCharacterPolicy extends Enum<IllegalCharacterPolicy>
What to do when an imported document contains illegal characters

Version:
  $Id: IllegalCharacterPolicy.java 551 2006-12-04 03:05:01Z twobeers $

  created on 04.12.2006 15:15:54
Author:
  Tobias Thierer

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`abort`
`askUser`
`strip`

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`description`

## Method Summary

Modifier and Type
Method
Description
`static IllegalCharacterPolicy`
`instanceOf(String description)`
`String`
`toString()`
`static IllegalCharacterPolicy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IllegalCharacterPolicy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### abort

public static final IllegalCharacterPolicy abort

### strip

public static final IllegalCharacterPolicy strip

### askUser

public static final IllegalCharacterPolicy askUser

## Field Details

### description

public final String description

## Method Details

### values

public static IllegalCharacterPolicy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IllegalCharacterPolicy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### instanceOf

public static IllegalCharacterPolicy instanceOf(String description)

### toString

public String toString()

Overrides:
  `toString` in class `Enum<IllegalCharacterPolicy>`